<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:21:35 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CopyUtils (org.eclipse.papyrus.designer.transformation.base 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CopyUtils (org.eclipse.papyrus.designer.transformation.base 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CopyUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CreationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html" target="_top">Frames</a></li>
<li><a href="CopyUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.transformation.base.utils</div>
<h2 title="Class CopyUtils" class="title">Class CopyUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.transformation.base.utils.CopyUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CopyUtils</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#CopyUtils--">CopyUtils</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.ValueSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyDefaultValue-org.eclipse.uml2.uml.Property-org.eclipse.uml2.uml.Property-">copyDefaultValue</a></span>(org.eclipse.uml2.uml.Property&nbsp;source,
                org.eclipse.uml2.uml.Property&nbsp;target)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyFeatureModifiers-org.eclipse.uml2.uml.Feature-org.eclipse.uml2.uml.Feature-">copyFeatureModifiers</a></span>(org.eclipse.uml2.uml.Feature&nbsp;source,
                    org.eclipse.uml2.uml.Feature&nbsp;target)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyID-org.eclipse.emf.ecore.EObject-org.eclipse.emf.ecore.EObject-">copyID</a></span>(org.eclipse.emf.ecore.EObject&nbsp;source,
      org.eclipse.emf.ecore.EObject&nbsp;target)</code>
<div class="block">Copy the (XML) ID from the source to the destination model element.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyID-org.eclipse.emf.ecore.EObject-org.eclipse.emf.ecore.EObject-java.lang.String-">copyID</a></span>(org.eclipse.emf.ecore.EObject&nbsp;source,
      org.eclipse.emf.ecore.EObject&nbsp;target,
      <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</code>
<div class="block">Copy the (XML) ID from the source to the destination model element.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyMultElemModifiers-org.eclipse.uml2.uml.MultiplicityElement-org.eclipse.uml2.uml.MultiplicityElement-">copyMultElemModifiers</a></span>(org.eclipse.uml2.uml.MultiplicityElement&nbsp;source,
                     org.eclipse.uml2.uml.MultiplicityElement&nbsp;target)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.ValueSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyValue-org.eclipse.uml2.uml.ValueSpecification-org.eclipse.uml2.uml.Slot-">copyValue</a></span>(org.eclipse.uml2.uml.ValueSpecification&nbsp;value,
         org.eclipse.uml2.uml.Slot&nbsp;target)</code>
<div class="block">Copy a value to a target slot</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.ValueSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html#copyValue-org.eclipse.uml2.uml.ValueSpecification-org.eclipse.uml2.uml.ValueSpecification-">copyValue</a></span>(org.eclipse.uml2.uml.ValueSpecification&nbsp;smValue,
         org.eclipse.uml2.uml.ValueSpecification&nbsp;tmValue)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CopyUtils--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CopyUtils</h4>
<pre>public&nbsp;CopyUtils()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="copyID-org.eclipse.emf.ecore.EObject-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyID</h4>
<pre>public static&nbsp;void&nbsp;copyID(org.eclipse.emf.ecore.EObject&nbsp;source,
                          org.eclipse.emf.ecore.EObject&nbsp;target)</pre>
<div class="block">Copy the (XML) ID from the source to the destination model element. This
 is useful, if you want to create a diagram for (parts of) the generated
 target model. Otherwise, the IDs would change with each generation and
 references from the diagram to model elements would break (of course,
 they could still break, for instance if structural modifications of the
 source model are made).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - source model element</dd>
<dd><code>dest</code> - corresponding target model element</dd>
</dl>
</li>
</ul>
<a name="copyID-org.eclipse.emf.ecore.EObject-org.eclipse.emf.ecore.EObject-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyID</h4>
<pre>public static&nbsp;void&nbsp;copyID(org.eclipse.emf.ecore.EObject&nbsp;source,
                          org.eclipse.emf.ecore.EObject&nbsp;target,
                          <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix)</pre>
<div class="block">Copy the (XML) ID from the source to the destination model element.
 Prefix the ID with a string passed as parameter</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - source model element</dd>
<dd><code>dest</code> - corresponding target model element</dd>
<dd><code>prefix</code> - a prefix for the target model ID</dd>
</dl>
</li>
</ul>
<a name="copyDefaultValue-org.eclipse.uml2.uml.Property-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyDefaultValue</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.ValueSpecification&nbsp;copyDefaultValue(org.eclipse.uml2.uml.Property&nbsp;source,
                                                                       org.eclipse.uml2.uml.Property&nbsp;target)</pre>
</li>
</ul>
<a name="copyFeatureModifiers-org.eclipse.uml2.uml.Feature-org.eclipse.uml2.uml.Feature-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyFeatureModifiers</h4>
<pre>public static&nbsp;void&nbsp;copyFeatureModifiers(org.eclipse.uml2.uml.Feature&nbsp;source,
                                        org.eclipse.uml2.uml.Feature&nbsp;target)</pre>
</li>
</ul>
<a name="copyMultElemModifiers-org.eclipse.uml2.uml.MultiplicityElement-org.eclipse.uml2.uml.MultiplicityElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyMultElemModifiers</h4>
<pre>public static&nbsp;void&nbsp;copyMultElemModifiers(org.eclipse.uml2.uml.MultiplicityElement&nbsp;source,
                                         org.eclipse.uml2.uml.MultiplicityElement&nbsp;target)</pre>
</li>
</ul>
<a name="copyValue-org.eclipse.uml2.uml.ValueSpecification-org.eclipse.uml2.uml.Slot-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyValue</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.ValueSpecification&nbsp;copyValue(org.eclipse.uml2.uml.ValueSpecification&nbsp;value,
                                                                org.eclipse.uml2.uml.Slot&nbsp;target)</pre>
<div class="block">Copy a value to a target slot</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>smValue</code> - </dd>
<dd><code>target</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="copyValue-org.eclipse.uml2.uml.ValueSpecification-org.eclipse.uml2.uml.ValueSpecification-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>copyValue</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.ValueSpecification&nbsp;copyValue(org.eclipse.uml2.uml.ValueSpecification&nbsp;smValue,
                                                                org.eclipse.uml2.uml.ValueSpecification&nbsp;tmValue)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CopyUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CommandSupport.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/base/utils/CreationUtils.html" title="class in org.eclipse.papyrus.designer.transformation.base.utils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/base/utils/CopyUtils.html" target="_top">Frames</a></li>
<li><a href="CopyUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
